#ifndef XMLPARSER_H
#define XMLPARSER_H

#include <QObject>

#include <QXmlStreamReader>
#include <QXmlStreamWriter>
#include <QFile>
#include <QVariantMap>
#include <QList>

typedef QList<QVariantMap> VariantMapList;
typedef QMap<QString,QString> StringMap;

class XMLParser : public QObject
{
    Q_OBJECT
public:
    explicit XMLParser(QObject *parent = 0);
	bool readPresets(VariantMapList &data);
	bool savePreset(const QVariantMap &data);
private:
	bool parsePreset(QFile &file, VariantMapList &data);

	void cleanKeys(QStringList &source, const QStringList &toDelete);
	StringMap mapAttributes(const QStringList &keyAttr);
signals:

public slots:

};

#endif // XMLPARSER_H
