#-------------------------------------------------
#
# Project created by QtCreator 2010-07-08T14:07:21
#
#-------------------------------------------------

QT       += core gui xml sql

TARGET = carto
TEMPLATE = app


LIBS	+= -L../carto-plugins-build-desktop \
	-L../carto-plugins-build-desktop/release \
	-L../carto-plugins-build-desktop/debug \
	-lcarto-plugins

SOURCES += main.cpp\
	windows/mainwindow.cpp \
	plugindialog.cpp \
    windows/about.cpp \
    windows/newdialog.cpp \
    mdichild.cpp \
    xmlparser.cpp \
    undocommand.cpp \
    interfaces/plugins.cpp \
    toolssettings.cpp \
    layersmanager.cpp \
    layer.cpp \
	layersdock.cpp \
	eventcontainer.cpp \
    interfaces/brushinterface.cpp \
    interfaces/tool.cpp \
    interfaces/filter.cpp

HEADERS  += windows/mainwindow.h \
	plugindialog.h \
	interfaces/brushinterface.h \
    windows/about.h \
    windows/newdialog.h \
    mdichild.h \
    definitions.h \
    xmlparser.h \
    undocommand.h \
    interfaces/plugins.h \
    interfaces/plugins.h \
    toolssettings.h \
    layersmanager.h \
    layer.h \
	layersdock.h \
	eventcontainer.h \
    interfaces/tool.h \
    interfaces/filter.h

FORMS    += windows/mainwindow.ui \
    windows/about.ui \
    windows/newdialog.ui

OTHER_FILES += \
	docs/codestyle.txt

RESOURCES += \
	resource.qrc

CONFIG(debug, debug|release) {
	CONFIG += console
	DEFINES += __DEBUG__ \
		__debug__ \
		DEBUG
}

CODECFORTR = UTF-8
CODECFORSRC = UTF-8
