#ifndef NEWDIALOG_H
#define NEWDIALOG_H

#include <QDialog>
#include <QMap>
#include <QVariantMap>

#include "xmlparser.h"

namespace Ui {
    class NewDialog;
}

class NewDialog : public QDialog
{
    Q_OBJECT

public:
    explicit NewDialog(QWidget *parent = 0);
    ~NewDialog();

private:
    Ui::NewDialog *ui;

	VariantMapList m_presets;

	void readSettings();
	void writeSettings();
	void readPresets();
	bool checkPresetName(const QString &name);
private slots:
	void myClose(void);
	void applyPreset(int);
	void savePreset();

signals:
	void createNew(QVariantMap);
};

#endif // NEWDIALOG_H
